[pytables] 04/04: Added autopkgtests running testsuite

Antonio Valentino a_valentino-guest at moszumanska.debian.org
Sat Jan 18 22:17:53 UTC 2014


This is an automated email from the git hooks/post-receive script.

a_valentino-guest pushed a commit to branch master
in repository pytables.

commit e9d3ebecdb946885f943ecfa43dfc4492b03584d
Author: Antonio Valentino <antonio.valentino at tiscali.it>
Date:   Sat Jan 18 16:39:51 2014 +0000

    Added autopkgtests running testsuite
---
 debian/changelog         |  1 +
 debian/control           |  1 +
 debian/tests/control     | 11 +++++++++++
 debian/tests/python2     | 12 ++++++++++++
 debian/tests/python2-dbg | 12 ++++++++++++
 debian/tests/python3     | 12 ++++++++++++
 debian/tests/python3-dbg | 12 ++++++++++++
 7 files changed, 61 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index b85d791..0ab4426 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,7 @@ pytables (3.0.0-3) UNRELEASED; urgency=medium
     python(3)-tables-lib (containing only platform specific extensions).
   * New python-tables-data package including all data files used for
     unit testing
+  * Added autopkgtests running testsuite
 
  -- Antonio Valentino <antonio.valentino at tiscali.it>  Sat, 18 Jan 2014 10:56:27 +0000
 
diff --git a/debian/control b/debian/control
index 06981d6..a1c7583 100644
--- a/debian/control
+++ b/debian/control
@@ -22,6 +22,7 @@ Build-Depends: debhelper (>= 9.0.0), libhdf5-dev,
                texlive-latex-recommended, texlive-latex-extra,
                texlive-fonts-recommended,
                libjs-jquery-cookie
+XS-Testsuite: autopkgtest
 
 Package: python-tables
 Architecture: all
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..98ea9a9
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,11 @@
+Tests: python2
+Depends: python-tables, python-all
+
+Tests: python2-dbg
+Depends: python-tables-dbg, python-all-dbg
+
+Tests: python3
+Depends: python3-tables, python3-all
+
+Tests: python3-dbg
+Depends: python3-tables-dbg, python3-all-dbg
diff --git a/debian/tests/python2 b/debian/tests/python2
new file mode 100644
index 0000000..56c0d1a
--- /dev/null
+++ b/debian/tests/python2
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(pyversions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-tables}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py -c "import $TESTPKG; $TESTPKG.test(verbose=2)" 2>&1
+done
diff --git a/debian/tests/python2-dbg b/debian/tests/python2-dbg
new file mode 100644
index 0000000..1df3f6a
--- /dev/null
+++ b/debian/tests/python2-dbg
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(pyversions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-tables}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py-dbg -c "import $TESTPKG; $TESTPKG.test(verbose=2)" 2>&1
+done
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100644
index 0000000..13187cc
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(py3versions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-tables}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py -c "import $TESTPKG; $TESTPKG.test(verbose=2)" 2>&1
+done
diff --git a/debian/tests/python3-dbg b/debian/tests/python3-dbg
new file mode 100644
index 0000000..122cc3c
--- /dev/null
+++ b/debian/tests/python3-dbg
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -efu
+
+PYS=${PYS:-"$(py3versions -r 2>/dev/null)"}
+TESTPKG=${TESTPKG:-tables}
+
+cd "$ADTTMP"
+
+for py in $PYS; do
+    echo "=== $py ==="
+    $py-dbg -c "import $TESTPKG; $TESTPKG.test(verbose=2)" 2>&1
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pytables.git



More information about the debian-science-commits mailing list